Bug 253664 - util-linux-ng fails to build
util-linux-ng fails to build
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: util-linux-ng (Show other bugs)
rawhide
sparc Linux
high Severity high
: ---
: ---
Assigned To: Karel Zak
Fedora Extras Quality Assurance
http://sparc.koji.fedoraproject.org/k...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-20 22:24 EDT by Dennis Gilmore
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-21 06:56:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
patch for spec file fixes build (1.51 KB, patch)
2007-08-20 22:50 EDT, Dennis Gilmore
no flags Details | Diff
make sparc32bash work (933 bytes, patch)
2007-08-21 00:51 EDT, Dennis Gilmore
no flags Details | Diff

  None (edit)
Description Dennis Gilmore 2007-08-20 22:24:20 EDT
Description of problem:
on sparc util-linux-ng fails to build.


also the sparc32bash utility seems to be missing

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1.build in koji on sparc
2.
3.
  
Actual results:
Processing files: util-linux-ng-2.13-0.55.fc8
error: File not found: /var/tmp/util-linux-ng-2.13-0.55.fc8-root/sbin/sfdisk
error: File not found by glob:
/var/tmp/util-linux-ng-2.13-0.55.fc8-root/usr/share/man/man8/sfdisk.8*
error: File not found: /var/tmp/util-linux-ng-2.13-0.55.fc8-root/sbin/cfdisk
error: File not found by glob:
/var/tmp/util-linux-ng-2.13-0.55.fc8-root/usr/share/man/man8/cfdisk.8*

Expected results:
build succeeds 

Additional info:
Comment 1 Dennis Gilmore 2007-08-20 22:32:07 EDT
i missed that sparc32bash is there.  trying to work out why sfdisk and cfdisk 
dont get built
Comment 2 Dennis Gilmore 2007-08-20 22:49:32 EDT
looks like acording to util-linux-ng-2.13-rc3/fdisk/Makefile.in sparc is 
excluded on purpose

patch fixes building on sparc.
Comment 3 Dennis Gilmore 2007-08-20 22:50:19 EDT
Created attachment 161944 [details]
patch for spec file fixes build
Comment 4 Dennis Gilmore 2007-08-21 00:51:29 EDT
Created attachment 161946 [details]
make sparc32bash work
Comment 5 Karel Zak 2007-08-21 06:56:54 EDT
Fixed, Thanks!

Note You need to log in before you can comment on or make changes to this bug.